Full documentation for this service is available at /documentation/restrictedservice.
AddItemCampaignCode |WebMethod|
Attach a campaign code to a previously created ItemRequest. Please note that the ItemRequest must be set to AutoCommit == false when request is made. NOTE: This method is considered internal and might be changed at any time without prior notice.
Parameters
- requestId, The request Id of an Item request, created with a call to AddItem or AddItemXml
- campaignCode, The campaign code to attach
SOAP 1.1
The following is a sample SOAP 1.1 request and response. The placeholders shown need to be replaced with actual values.
POST /v3/restrictedservice.asmx HTTP/1.1 Host: api.tradera.com Content-Type: text/xml; charset=utf-8 SOAPAction: "http://api.tradera.com/AddItemCampaignCode" Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"> <soap:Body> <AddItemCampaignCode xmlns="http://api.tradera.com"> <requestId>requestId</requestId> <campaignCode>campaignCode</campaignCode> </AddItemCampaignCode> </soap:Body> </soap:Envelope>
HTTP/1.1 200 OK Content-Type: text/xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"> <soap:Body> <AddItemCampaignCodeResponse xmlns="http://api.tradera.com"> <AddItemCampaignCodeResult>result</AddItemCampaignCodeResult> </AddItemCampaignCodeResponse> </soap:Body> </soap:Envelope>
SOAP 1.2
The following is a sample SOAP 1.2 request and response. The placeholders shown need to be replaced with actual values.
POST /v3/restrictedservice.asmx HTTP/1.1 Host: api.tradera.com Content-Type: application/soap+xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope"> <soap12:Body> <AddItemCampaignCode xmlns="http://api.tradera.com"> <requestId>requestId</requestId> <campaignCode>campaignCode</campaignCode> </AddItemCampaignCode> </soap12:Body> </soap12:Envelope>
HTTP/1.1 200 OK Content-Type: application/soap+xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope"> <soap12:Body> <AddItemCampaignCodeResponse xmlns="http://api.tradera.com"> <AddItemCampaignCodeResult>result</AddItemCampaignCodeResult> </AddItemCampaignCodeResponse> </soap12:Body> </soap12:Envelope>
HTTP GET
The following is a sample HTTP GET request and response. The placeholders shown need to be replaced with actual values.
GET /v3/restrictedservice.asmx/AddItemCampaignCode?appId=string&appKey=string&requestId=string&campaignCode=string HTTP/1.1 Host: api.tradera.com
HTTP/1.1 200 OK Content-Type: text/xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <AddItemCampaignCodeResult xmlns="http://api.tradera.com">result</AddItemCampaignCodeResult>
HTTP POST
The following is a sample HTTP POST request and response. The placeholders shown need to be replaced with actual values.
POST /v3/restrictedservice.asmx/AddItemCampaignCode HTTP/1.1 Host: api.tradera.com Content-Type: application/x-www-form-urlencoded Content-Length: length appId=string&appKey=string&requestId=string&campaignCode=string
HTTP/1.1 200 OK Content-Type: text/xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <AddItemCampaignCodeResult xmlns="http://api.tradera.com">result</AddItemCampaignCodeResult>